# Deprecated API

## Contents

- Classes
- Methods

Deprecated Classes
Class
Description
org.picocontainer.containers.CommandLineArgumentsPicoContainer
Use `CommandLinePicoContainer` instead.

Deprecated Methods
Method
Description
org.picocontainer.ComponentAdapter.getComponentInstance(PicoContainer)
since PicoContainer 2.2. Use `ComponentAdapter.getComponentInstance(org.picocontainer.PicoContainer,java.lang.reflect.Type)` with
invalid @link

    {@link ComponentAdapter.NOTHING.class

} as type if no type available.
org.picocontainer.injectors.ProviderAdapter.getComponentInstance(PicoContainer)
org.picocontainer.Parameter.isResolvable(PicoContainer, ComponentAdapter<?>, Type, NameBinding, boolean, Annotation)
org.picocontainer.Parameter.resolveInstance(PicoContainer, ComponentAdapter<?>, Type, NameBinding, boolean, Annotation)
org.picocontainer.parameters.AbstractParameter.isResolvable(PicoContainer, ComponentAdapter<?>, Type, NameBinding, boolean, Annotation)
org.picocontainer.parameters.AbstractParameter.resolveInstance(PicoContainer, ComponentAdapter<?>, Type, NameBinding, boolean, Annotation)